# /etc/libmap.conf for FreeBSD 5.x
# $Id: libmap.conf-FreeBSD5.x,v 1.7 2004/02/29 17:12:22 nork Exp $


# Flash6 with Konqueror

# KDE on FreeBSD requires plugins to be placed in /opt/mozilla/plugins/.
# (unlike many other www browsers on X11, it does not support
# /usr/X11R6/lib/browser_plugins/ for a plugin directory)
# So please copy libflashplayer.so and flashplayer.xpt to
# /opt/mozilla/plugins like following lines.
#       mkdir -p /opt/mozilla/plugins
#       cd /usr/local/lib/linux-flashplugin6
#       cp flashplayer.xpt libflashplayer.so /opt/mozilla/plugins/
[/opt/mozilla/plugins/libflashplayer.so]
libpthread.so.0                 pluginwrapper/flash6.so
libdl.so.2                      pluginwrapper/flash6.so
libz.so.1                       libz.so.2
libstdc++-libc6.2-2.so.3        libstdc++.so.4
libm.so.6                       libm.so.3
libc.so.6                       pluginwrapper/flash6.so

# Flash6 with Mozilla/Firebird/Galeon/Epiphany
[/usr/local/lib/linux-flashplugin6/libflashplayer.so]
libpthread.so.0                 pluginwrapper/flash6.so
libdl.so.2                      pluginwrapper/flash6.so
libz.so.1                       libz.so.2
libstdc++-libc6.2-2.so.3        libstdc++.so.4
libm.so.6                       libm.so.3
libc.so.6                       pluginwrapper/flash6.so


# Acrobat with Konqueror
# KDE on FreeBSD requires plugins to be placed in /opt/mozilla/plugins/.
# (unlike many other www browsers on X11, it does not support
# /usr/X11R6/lib/browser_plugins/ for a plugin directory)
# So please copy nppdf.so to /opt/mozilla/plugins/ like following lines.
#       mkdir -p /opt/mozilla/plugins
#       cd /usr/local/Acrobat5/Browsers/intellinux
#       cp nppdf.so /opt/mozilla/plugins/
[/opt/mozilla/plugins/nppdf.so]
libc.so.6                       pluginwrapper/acrobat.so

# Acrobat with Mozilla/Firebird/Galeon/Epiphany
[/usr/local/Acrobat5/Browsers/intellinux/nppdf.so]
libc.so.6                       pluginwrapper/acrobat.so

# Libraries bump
libm.so.2			libm.so.3
libreadline.so.4		libreadline.so.5
libhistory.so.4			libhistory.so.5
libopie.so.2			libopie.so.3
libpcap.so.2			libpcap.so.3

[beep-media-player]
libpthread.so.1			libc_r.so.5
libpthread.so			libc_r.so

[/usr/X11R6/bin/beep-media-player]
libpthread.so.1			libc_r.so.5
libpthread.so			libc_r.so

